TaskServiceAddressingLocator
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.executor.stubs.service
Class TaskServiceAddressingLocator

    java.lang.Object
      org.apache.axis.client.Service
          org.gcube.vremanagement.executor.stubs.service.TaskServiceLocator
              org.gcube.vremanagement.executor.stubs.service.TaskServiceAddressingLocator

All Implemented Interfaces:
  java.io.Serializable, javax.naming.Referenceable, javax.xml.rpc.Service, TaskService, TaskServiceAddressing

    public class TaskServiceAddressingLocator

extends TaskServiceLocator
implements TaskServiceAddressing

See Also:
  Serialized Form

Constructor Summary
`TaskServiceAddressingLocator()`

Method Summary
`TaskPortType` | `getTaskPortTypePort(org.apache.axis.message.addressing.EndpointReferenceType reference)`

Methods inherited from class org.gcube.vremanagement.executor.stubs.service.TaskServiceLocator
`getPort, getPort, getPorts, getServiceName, getTaskPortTypePort, getTaskPortTypePort, getTaskPortTypePortAddress, getTaskPortTypePortWSDDServiceName, setEndpointAddress, setEndpointAddress, setTaskPortTypePortEndpointAddress, setTaskPortTypePortWSDDServiceName`

Methods inherited from class org.apache.axis.client.Service
`clearCall, createCall, createCall, createCall, createCall, getCacheWSDL, getCall, getCalls, getEngine, getHandlerRegistry, getMaintainSession, getPort, getReference, getTypeMappingRegistry, getWSDLDocumentLocation, getWSDLParser, setCacheWSDL, setEngine, setEngineConfiguration, setMaintainSession, setTypeMappingRegistry`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gcube.vremanagement.executor.stubs.service.TaskService
`getTaskPortTypePort, getTaskPortTypePort, getTaskPortTypePortAddress`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getPort, getPort, getPorts, getServiceName, getTypeMappingRegistry, getWSDLDocumentLocation`

Constructor Detail

### TaskServiceAddressingLocator

    public TaskServiceAddressingLocator()

Method Detail

### getTaskPortTypePort

    public TaskPortType getTaskPortTypePort(org.apache.axis.message.addressing.EndpointReferenceType reference)
                                     throws javax.xml.rpc.ServiceException

  Specified by:
    `getTaskPortTypePort` in interface `TaskServiceAddressing`
  Throws:
    `javax.xml.rpc.ServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD